GET /v1/sync_jobs/{id}

Retrieve a sync job

Retrieves a sync job by ID.

Retrieves the details of a sync job. The job must belong to the authenticated user’s active reseller store.

Path parameters

id string REQUIRED

Responses

200

404

Request

curl https://api.example.com/v1/sync_jobs/:id \
  -H "Authorization: Bearer sk_test_..."

Response

200 200 OK
{
  "id": "example_id",
  "resellerStoreId": "example_resellerStoreId",
  "sourceStoreId": "example_sourceStoreId",
  "status": "pending",
  "attempts": 0,
  "externalOrderId": "example_externalOrderId",
  "sourceOrderId": "example_sourceOrderId",
  "errorMessage": "example_errorMessage",
  "completedAt": "example_completedAt",
  "failedAt": "example_failedAt",
  "deadAt": "example_deadAt",
  "createdAt": "example_createdAt",
  "updatedAt": "example_updatedAt",
  "request_id": "example_request_id"
}